Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network60.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
60.0.0.0
Broadcast address
63.255.255.255
First usable
60.0.0.1
Last usable
63.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 3C000000 · Integer 1006632960 to 1073741823
Reverse DNS zones
60.in-addr.arpa
61.in-addr.arpa
62.in-addr.arpa
63.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111100.00000000.00000000.0000000060.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00111100.00000000.00000000.0000000060.0.0.0
Broadcast00111111.11111111.11111111.1111111163.255.255.255
Split into smaller subnets/18

60.0.0.0/6 makes 4,096 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
160.0.0.0/1860.0.0.1 to 60.0.63.25460.0.63.25516,382
260.0.64.0/1860.0.64.1 to 60.0.127.25460.0.127.25516,382
360.0.128.0/1860.0.128.1 to 60.0.191.25460.0.191.25516,382
460.0.192.0/1860.0.192.1 to 60.0.255.25460.0.255.25516,382
560.1.0.0/1860.1.0.1 to 60.1.63.25460.1.63.25516,382
660.1.64.0/1860.1.64.1 to 60.1.127.25460.1.127.25516,382
760.1.128.0/1860.1.128.1 to 60.1.191.25460.1.191.25516,382
860.1.192.0/1860.1.192.1 to 60.1.255.25460.1.255.25516,382
960.2.0.0/1860.2.0.1 to 60.2.63.25460.2.63.25516,382
1060.2.64.0/1860.2.64.1 to 60.2.127.25460.2.127.25516,382
1160.2.128.0/1860.2.128.1 to 60.2.191.25460.2.191.25516,382
1260.2.192.0/1860.2.192.1 to 60.2.255.25460.2.255.25516,382
1360.3.0.0/1860.3.0.1 to 60.3.63.25460.3.63.25516,382
1460.3.64.0/1860.3.64.1 to 60.3.127.25460.3.127.25516,382
1560.3.128.0/1860.3.128.1 to 60.3.191.25460.3.191.25516,382
1660.3.192.0/1860.3.192.1 to 60.3.255.25460.3.255.25516,382
1760.4.0.0/1860.4.0.1 to 60.4.63.25460.4.63.25516,382
1860.4.64.0/1860.4.64.1 to 60.4.127.25460.4.127.25516,382
1960.4.128.0/1860.4.128.1 to 60.4.191.25460.4.191.25516,382
2060.4.192.0/1860.4.192.1 to 60.4.255.25460.4.255.25516,382
2160.5.0.0/1860.5.0.1 to 60.5.63.25460.5.63.25516,382
2260.5.64.0/1860.5.64.1 to 60.5.127.25460.5.127.25516,382
2360.5.128.0/1860.5.128.1 to 60.5.191.25460.5.191.25516,382
2460.5.192.0/1860.5.192.1 to 60.5.255.25460.5.255.25516,382
2560.6.0.0/1860.6.0.1 to 60.6.63.25460.6.63.25516,382
2660.6.64.0/1860.6.64.1 to 60.6.127.25460.6.127.25516,382
2760.6.128.0/1860.6.128.1 to 60.6.191.25460.6.191.25516,382
2860.6.192.0/1860.6.192.1 to 60.6.255.25460.6.255.25516,382
2960.7.0.0/1860.7.0.1 to 60.7.63.25460.7.63.25516,382
3060.7.64.0/1860.7.64.1 to 60.7.127.25460.7.127.25516,382
3160.7.128.0/1860.7.128.1 to 60.7.191.25460.7.191.25516,382
3260.7.192.0/1860.7.192.1 to 60.7.255.25460.7.255.25516,382
3360.8.0.0/1860.8.0.1 to 60.8.63.25460.8.63.25516,382
3460.8.64.0/1860.8.64.1 to 60.8.127.25460.8.127.25516,382
3560.8.128.0/1860.8.128.1 to 60.8.191.25460.8.191.25516,382
3660.8.192.0/1860.8.192.1 to 60.8.255.25460.8.255.25516,382
3760.9.0.0/1860.9.0.1 to 60.9.63.25460.9.63.25516,382
3860.9.64.0/1860.9.64.1 to 60.9.127.25460.9.127.25516,382
3960.9.128.0/1860.9.128.1 to 60.9.191.25460.9.191.25516,382
4060.9.192.0/1860.9.192.1 to 60.9.255.25460.9.255.25516,382
4160.10.0.0/1860.10.0.1 to 60.10.63.25460.10.63.25516,382
4260.10.64.0/1860.10.64.1 to 60.10.127.25460.10.127.25516,382
4360.10.128.0/1860.10.128.1 to 60.10.191.25460.10.191.25516,382
4460.10.192.0/1860.10.192.1 to 60.10.255.25460.10.255.25516,382
4560.11.0.0/1860.11.0.1 to 60.11.63.25460.11.63.25516,382
4660.11.64.0/1860.11.64.1 to 60.11.127.25460.11.127.25516,382
4760.11.128.0/1860.11.128.1 to 60.11.191.25460.11.191.25516,382
4860.11.192.0/1860.11.192.1 to 60.11.255.25460.11.255.25516,382
4960.12.0.0/1860.12.0.1 to 60.12.63.25460.12.63.25516,382
5060.12.64.0/1860.12.64.1 to 60.12.127.25460.12.127.25516,382
5160.12.128.0/1860.12.128.1 to 60.12.191.25460.12.191.25516,382
5260.12.192.0/1860.12.192.1 to 60.12.255.25460.12.255.25516,382
5360.13.0.0/1860.13.0.1 to 60.13.63.25460.13.63.25516,382
5460.13.64.0/1860.13.64.1 to 60.13.127.25460.13.127.25516,382
5560.13.128.0/1860.13.128.1 to 60.13.191.25460.13.191.25516,382
5660.13.192.0/1860.13.192.1 to 60.13.255.25460.13.255.25516,382
5760.14.0.0/1860.14.0.1 to 60.14.63.25460.14.63.25516,382
5860.14.64.0/1860.14.64.1 to 60.14.127.25460.14.127.25516,382
5960.14.128.0/1860.14.128.1 to 60.14.191.25460.14.191.25516,382
6060.14.192.0/1860.14.192.1 to 60.14.255.25460.14.255.25516,382
6160.15.0.0/1860.15.0.1 to 60.15.63.25460.15.63.25516,382
6260.15.64.0/1860.15.64.1 to 60.15.127.25460.15.127.25516,382
6360.15.128.0/1860.15.128.1 to 60.15.191.25460.15.191.25516,382
6460.15.192.0/1860.15.192.1 to 60.15.255.25460.15.255.25516,382
6560.16.0.0/1860.16.0.1 to 60.16.63.25460.16.63.25516,382
6660.16.64.0/1860.16.64.1 to 60.16.127.25460.16.127.25516,382
6760.16.128.0/1860.16.128.1 to 60.16.191.25460.16.191.25516,382
6860.16.192.0/1860.16.192.1 to 60.16.255.25460.16.255.25516,382
6960.17.0.0/1860.17.0.1 to 60.17.63.25460.17.63.25516,382
7060.17.64.0/1860.17.64.1 to 60.17.127.25460.17.127.25516,382
7160.17.128.0/1860.17.128.1 to 60.17.191.25460.17.191.25516,382
7260.17.192.0/1860.17.192.1 to 60.17.255.25460.17.255.25516,382
7360.18.0.0/1860.18.0.1 to 60.18.63.25460.18.63.25516,382
7460.18.64.0/1860.18.64.1 to 60.18.127.25460.18.127.25516,382
7560.18.128.0/1860.18.128.1 to 60.18.191.25460.18.191.25516,382
7660.18.192.0/1860.18.192.1 to 60.18.255.25460.18.255.25516,382
7760.19.0.0/1860.19.0.1 to 60.19.63.25460.19.63.25516,382
7860.19.64.0/1860.19.64.1 to 60.19.127.25460.19.127.25516,382
7960.19.128.0/1860.19.128.1 to 60.19.191.25460.19.191.25516,382
8060.19.192.0/1860.19.192.1 to 60.19.255.25460.19.255.25516,382
8160.20.0.0/1860.20.0.1 to 60.20.63.25460.20.63.25516,382
8260.20.64.0/1860.20.64.1 to 60.20.127.25460.20.127.25516,382
8360.20.128.0/1860.20.128.1 to 60.20.191.25460.20.191.25516,382
8460.20.192.0/1860.20.192.1 to 60.20.255.25460.20.255.25516,382
8560.21.0.0/1860.21.0.1 to 60.21.63.25460.21.63.25516,382
8660.21.64.0/1860.21.64.1 to 60.21.127.25460.21.127.25516,382
8760.21.128.0/1860.21.128.1 to 60.21.191.25460.21.191.25516,382
8860.21.192.0/1860.21.192.1 to 60.21.255.25460.21.255.25516,382
8960.22.0.0/1860.22.0.1 to 60.22.63.25460.22.63.25516,382
9060.22.64.0/1860.22.64.1 to 60.22.127.25460.22.127.25516,382
9160.22.128.0/1860.22.128.1 to 60.22.191.25460.22.191.25516,382
9260.22.192.0/1860.22.192.1 to 60.22.255.25460.22.255.25516,382
9360.23.0.0/1860.23.0.1 to 60.23.63.25460.23.63.25516,382
9460.23.64.0/1860.23.64.1 to 60.23.127.25460.23.127.25516,382
9560.23.128.0/1860.23.128.1 to 60.23.191.25460.23.191.25516,382
9660.23.192.0/1860.23.192.1 to 60.23.255.25460.23.255.25516,382
9760.24.0.0/1860.24.0.1 to 60.24.63.25460.24.63.25516,382
9860.24.64.0/1860.24.64.1 to 60.24.127.25460.24.127.25516,382
9960.24.128.0/1860.24.128.1 to 60.24.191.25460.24.191.25516,382
10060.24.192.0/1860.24.192.1 to 60.24.255.25460.24.255.25516,382
10160.25.0.0/1860.25.0.1 to 60.25.63.25460.25.63.25516,382
10260.25.64.0/1860.25.64.1 to 60.25.127.25460.25.127.25516,382
10360.25.128.0/1860.25.128.1 to 60.25.191.25460.25.191.25516,382
10460.25.192.0/1860.25.192.1 to 60.25.255.25460.25.255.25516,382
10560.26.0.0/1860.26.0.1 to 60.26.63.25460.26.63.25516,382
10660.26.64.0/1860.26.64.1 to 60.26.127.25460.26.127.25516,382
10760.26.128.0/1860.26.128.1 to 60.26.191.25460.26.191.25516,382
10860.26.192.0/1860.26.192.1 to 60.26.255.25460.26.255.25516,382
10960.27.0.0/1860.27.0.1 to 60.27.63.25460.27.63.25516,382
11060.27.64.0/1860.27.64.1 to 60.27.127.25460.27.127.25516,382
11160.27.128.0/1860.27.128.1 to 60.27.191.25460.27.191.25516,382
11260.27.192.0/1860.27.192.1 to 60.27.255.25460.27.255.25516,382
11360.28.0.0/1860.28.0.1 to 60.28.63.25460.28.63.25516,382
11460.28.64.0/1860.28.64.1 to 60.28.127.25460.28.127.25516,382
11560.28.128.0/1860.28.128.1 to 60.28.191.25460.28.191.25516,382
11660.28.192.0/1860.28.192.1 to 60.28.255.25460.28.255.25516,382
11760.29.0.0/1860.29.0.1 to 60.29.63.25460.29.63.25516,382
11860.29.64.0/1860.29.64.1 to 60.29.127.25460.29.127.25516,382
11960.29.128.0/1860.29.128.1 to 60.29.191.25460.29.191.25516,382
12060.29.192.0/1860.29.192.1 to 60.29.255.25460.29.255.25516,382
12160.30.0.0/1860.30.0.1 to 60.30.63.25460.30.63.25516,382
12260.30.64.0/1860.30.64.1 to 60.30.127.25460.30.127.25516,382
12360.30.128.0/1860.30.128.1 to 60.30.191.25460.30.191.25516,382
12460.30.192.0/1860.30.192.1 to 60.30.255.25460.30.255.25516,382
12560.31.0.0/1860.31.0.1 to 60.31.63.25460.31.63.25516,382
12660.31.64.0/1860.31.64.1 to 60.31.127.25460.31.127.25516,382
12760.31.128.0/1860.31.128.1 to 60.31.191.25460.31.191.25516,382
12860.31.192.0/1860.31.192.1 to 60.31.255.25460.31.255.25516,382
12960.32.0.0/1860.32.0.1 to 60.32.63.25460.32.63.25516,382
13060.32.64.0/1860.32.64.1 to 60.32.127.25460.32.127.25516,382
13160.32.128.0/1860.32.128.1 to 60.32.191.25460.32.191.25516,382
13260.32.192.0/1860.32.192.1 to 60.32.255.25460.32.255.25516,382
13360.33.0.0/1860.33.0.1 to 60.33.63.25460.33.63.25516,382
13460.33.64.0/1860.33.64.1 to 60.33.127.25460.33.127.25516,382
13560.33.128.0/1860.33.128.1 to 60.33.191.25460.33.191.25516,382
13660.33.192.0/1860.33.192.1 to 60.33.255.25460.33.255.25516,382
13760.34.0.0/1860.34.0.1 to 60.34.63.25460.34.63.25516,382
13860.34.64.0/1860.34.64.1 to 60.34.127.25460.34.127.25516,382
13960.34.128.0/1860.34.128.1 to 60.34.191.25460.34.191.25516,382
14060.34.192.0/1860.34.192.1 to 60.34.255.25460.34.255.25516,382
14160.35.0.0/1860.35.0.1 to 60.35.63.25460.35.63.25516,382
14260.35.64.0/1860.35.64.1 to 60.35.127.25460.35.127.25516,382
14360.35.128.0/1860.35.128.1 to 60.35.191.25460.35.191.25516,382
14460.35.192.0/1860.35.192.1 to 60.35.255.25460.35.255.25516,382
14560.36.0.0/1860.36.0.1 to 60.36.63.25460.36.63.25516,382
14660.36.64.0/1860.36.64.1 to 60.36.127.25460.36.127.25516,382
14760.36.128.0/1860.36.128.1 to 60.36.191.25460.36.191.25516,382
14860.36.192.0/1860.36.192.1 to 60.36.255.25460.36.255.25516,382
14960.37.0.0/1860.37.0.1 to 60.37.63.25460.37.63.25516,382
15060.37.64.0/1860.37.64.1 to 60.37.127.25460.37.127.25516,382
15160.37.128.0/1860.37.128.1 to 60.37.191.25460.37.191.25516,382
15260.37.192.0/1860.37.192.1 to 60.37.255.25460.37.255.25516,382
15360.38.0.0/1860.38.0.1 to 60.38.63.25460.38.63.25516,382
15460.38.64.0/1860.38.64.1 to 60.38.127.25460.38.127.25516,382
15560.38.128.0/1860.38.128.1 to 60.38.191.25460.38.191.25516,382
15660.38.192.0/1860.38.192.1 to 60.38.255.25460.38.255.25516,382
15760.39.0.0/1860.39.0.1 to 60.39.63.25460.39.63.25516,382
15860.39.64.0/1860.39.64.1 to 60.39.127.25460.39.127.25516,382
15960.39.128.0/1860.39.128.1 to 60.39.191.25460.39.191.25516,382
16060.39.192.0/1860.39.192.1 to 60.39.255.25460.39.255.25516,382
16160.40.0.0/1860.40.0.1 to 60.40.63.25460.40.63.25516,382
16260.40.64.0/1860.40.64.1 to 60.40.127.25460.40.127.25516,382
16360.40.128.0/1860.40.128.1 to 60.40.191.25460.40.191.25516,382
16460.40.192.0/1860.40.192.1 to 60.40.255.25460.40.255.25516,382
16560.41.0.0/1860.41.0.1 to 60.41.63.25460.41.63.25516,382
16660.41.64.0/1860.41.64.1 to 60.41.127.25460.41.127.25516,382
16760.41.128.0/1860.41.128.1 to 60.41.191.25460.41.191.25516,382
16860.41.192.0/1860.41.192.1 to 60.41.255.25460.41.255.25516,382
16960.42.0.0/1860.42.0.1 to 60.42.63.25460.42.63.25516,382
17060.42.64.0/1860.42.64.1 to 60.42.127.25460.42.127.25516,382
17160.42.128.0/1860.42.128.1 to 60.42.191.25460.42.191.25516,382
17260.42.192.0/1860.42.192.1 to 60.42.255.25460.42.255.25516,382
17360.43.0.0/1860.43.0.1 to 60.43.63.25460.43.63.25516,382
17460.43.64.0/1860.43.64.1 to 60.43.127.25460.43.127.25516,382
17560.43.128.0/1860.43.128.1 to 60.43.191.25460.43.191.25516,382
17660.43.192.0/1860.43.192.1 to 60.43.255.25460.43.255.25516,382
17760.44.0.0/1860.44.0.1 to 60.44.63.25460.44.63.25516,382
17860.44.64.0/1860.44.64.1 to 60.44.127.25460.44.127.25516,382
17960.44.128.0/1860.44.128.1 to 60.44.191.25460.44.191.25516,382
18060.44.192.0/1860.44.192.1 to 60.44.255.25460.44.255.25516,382
18160.45.0.0/1860.45.0.1 to 60.45.63.25460.45.63.25516,382
18260.45.64.0/1860.45.64.1 to 60.45.127.25460.45.127.25516,382
18360.45.128.0/1860.45.128.1 to 60.45.191.25460.45.191.25516,382
18460.45.192.0/1860.45.192.1 to 60.45.255.25460.45.255.25516,382
18560.46.0.0/1860.46.0.1 to 60.46.63.25460.46.63.25516,382
18660.46.64.0/1860.46.64.1 to 60.46.127.25460.46.127.25516,382
18760.46.128.0/1860.46.128.1 to 60.46.191.25460.46.191.25516,382
18860.46.192.0/1860.46.192.1 to 60.46.255.25460.46.255.25516,382
18960.47.0.0/1860.47.0.1 to 60.47.63.25460.47.63.25516,382
19060.47.64.0/1860.47.64.1 to 60.47.127.25460.47.127.25516,382
19160.47.128.0/1860.47.128.1 to 60.47.191.25460.47.191.25516,382
19260.47.192.0/1860.47.192.1 to 60.47.255.25460.47.255.25516,382
19360.48.0.0/1860.48.0.1 to 60.48.63.25460.48.63.25516,382
19460.48.64.0/1860.48.64.1 to 60.48.127.25460.48.127.25516,382
19560.48.128.0/1860.48.128.1 to 60.48.191.25460.48.191.25516,382
19660.48.192.0/1860.48.192.1 to 60.48.255.25460.48.255.25516,382
19760.49.0.0/1860.49.0.1 to 60.49.63.25460.49.63.25516,382
19860.49.64.0/1860.49.64.1 to 60.49.127.25460.49.127.25516,382
19960.49.128.0/1860.49.128.1 to 60.49.191.25460.49.191.25516,382
20060.49.192.0/1860.49.192.1 to 60.49.255.25460.49.255.25516,382
20160.50.0.0/1860.50.0.1 to 60.50.63.25460.50.63.25516,382
20260.50.64.0/1860.50.64.1 to 60.50.127.25460.50.127.25516,382
20360.50.128.0/1860.50.128.1 to 60.50.191.25460.50.191.25516,382
20460.50.192.0/1860.50.192.1 to 60.50.255.25460.50.255.25516,382
20560.51.0.0/1860.51.0.1 to 60.51.63.25460.51.63.25516,382
20660.51.64.0/1860.51.64.1 to 60.51.127.25460.51.127.25516,382
20760.51.128.0/1860.51.128.1 to 60.51.191.25460.51.191.25516,382
20860.51.192.0/1860.51.192.1 to 60.51.255.25460.51.255.25516,382
20960.52.0.0/1860.52.0.1 to 60.52.63.25460.52.63.25516,382
21060.52.64.0/1860.52.64.1 to 60.52.127.25460.52.127.25516,382
21160.52.128.0/1860.52.128.1 to 60.52.191.25460.52.191.25516,382
21260.52.192.0/1860.52.192.1 to 60.52.255.25460.52.255.25516,382
21360.53.0.0/1860.53.0.1 to 60.53.63.25460.53.63.25516,382
21460.53.64.0/1860.53.64.1 to 60.53.127.25460.53.127.25516,382
21560.53.128.0/1860.53.128.1 to 60.53.191.25460.53.191.25516,382
21660.53.192.0/1860.53.192.1 to 60.53.255.25460.53.255.25516,382
21760.54.0.0/1860.54.0.1 to 60.54.63.25460.54.63.25516,382
21860.54.64.0/1860.54.64.1 to 60.54.127.25460.54.127.25516,382
21960.54.128.0/1860.54.128.1 to 60.54.191.25460.54.191.25516,382
22060.54.192.0/1860.54.192.1 to 60.54.255.25460.54.255.25516,382
22160.55.0.0/1860.55.0.1 to 60.55.63.25460.55.63.25516,382
22260.55.64.0/1860.55.64.1 to 60.55.127.25460.55.127.25516,382
22360.55.128.0/1860.55.128.1 to 60.55.191.25460.55.191.25516,382
22460.55.192.0/1860.55.192.1 to 60.55.255.25460.55.255.25516,382
22560.56.0.0/1860.56.0.1 to 60.56.63.25460.56.63.25516,382
22660.56.64.0/1860.56.64.1 to 60.56.127.25460.56.127.25516,382
22760.56.128.0/1860.56.128.1 to 60.56.191.25460.56.191.25516,382
22860.56.192.0/1860.56.192.1 to 60.56.255.25460.56.255.25516,382
22960.57.0.0/1860.57.0.1 to 60.57.63.25460.57.63.25516,382
23060.57.64.0/1860.57.64.1 to 60.57.127.25460.57.127.25516,382
23160.57.128.0/1860.57.128.1 to 60.57.191.25460.57.191.25516,382
23260.57.192.0/1860.57.192.1 to 60.57.255.25460.57.255.25516,382
23360.58.0.0/1860.58.0.1 to 60.58.63.25460.58.63.25516,382
23460.58.64.0/1860.58.64.1 to 60.58.127.25460.58.127.25516,382
23560.58.128.0/1860.58.128.1 to 60.58.191.25460.58.191.25516,382
23660.58.192.0/1860.58.192.1 to 60.58.255.25460.58.255.25516,382
23760.59.0.0/1860.59.0.1 to 60.59.63.25460.59.63.25516,382
23860.59.64.0/1860.59.64.1 to 60.59.127.25460.59.127.25516,382
23960.59.128.0/1860.59.128.1 to 60.59.191.25460.59.191.25516,382
24060.59.192.0/1860.59.192.1 to 60.59.255.25460.59.255.25516,382
24160.60.0.0/1860.60.0.1 to 60.60.63.25460.60.63.25516,382
24260.60.64.0/1860.60.64.1 to 60.60.127.25460.60.127.25516,382
24360.60.128.0/1860.60.128.1 to 60.60.191.25460.60.191.25516,382
24460.60.192.0/1860.60.192.1 to 60.60.255.25460.60.255.25516,382
24560.61.0.0/1860.61.0.1 to 60.61.63.25460.61.63.25516,382
24660.61.64.0/1860.61.64.1 to 60.61.127.25460.61.127.25516,382
24760.61.128.0/1860.61.128.1 to 60.61.191.25460.61.191.25516,382
24860.61.192.0/1860.61.192.1 to 60.61.255.25460.61.255.25516,382
24960.62.0.0/1860.62.0.1 to 60.62.63.25460.62.63.25516,382
25060.62.64.0/1860.62.64.1 to 60.62.127.25460.62.127.25516,382
25160.62.128.0/1860.62.128.1 to 60.62.191.25460.62.191.25516,382
25260.62.192.0/1860.62.192.1 to 60.62.255.25460.62.255.25516,382
25360.63.0.0/1860.63.0.1 to 60.63.63.25460.63.63.25516,382
25460.63.64.0/1860.63.64.1 to 60.63.127.25460.63.127.25516,382
25560.63.128.0/1860.63.128.1 to 60.63.191.25460.63.191.25516,382
25660.63.192.0/1860.63.192.1 to 60.63.255.25460.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses